////////////////////////////////////////////////////////////////////////////
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////
package edu.uiuc.jdbv.diagram.xmlPersist;

import java.beans.*;
import edu.uiuc.jdbv.schema.*;

/**
 * Persistence Delegate that handles Columns
 * @author Uday Kale
 * @version $Revision: 1.2 $
 */
public class ColumnPersistenceDelegate extends PersistenceDelegate
{

    protected Expression instantiate( Object oldInstance, Encoder out )
    {
        if (oldInstance.getClass() != Column.class) { 
            throw new IllegalArgumentException( "Expected a Column " +
                                                "as oldInstance!" );
        }

        Column col = (Column)oldInstance;
        Object[] constructorArgs = new Object[] { 
		col.getName(), col.getType(), new Boolean(col.isKey()) };
        return (new Expression( col, Column.class, "new", constructorArgs ));
    }


}

