////////////////////////////////////////////////////////////////////////////
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////
package edu.uiuc.jdbv.gui;

import edu.uiuc.jdbv.JDBV;

import java.awt.*;
import javax.swing.*;

/**
 * The tool bar for the main JDBV window and the actions that can
 * be performed through the tool bar.
 *
 * @author Brian Sidharta
 * @version $Revision: 1.2 $
 */
public class JDBVToolBar extends JToolBar
{
    /** the JDBV application instance */
    private JDBV jdbv;
	
    /** Default constructor that takes the JDBV application instance */
    public JDBVToolBar( JDBV jdbv )
    {
        this.jdbv = jdbv;
        setFloatable( false );
        initComponents();
    }

    private void initComponents()
    {
        add( jdbv.IMPORT_SCHEMA_ACTION );
        add( jdbv.LOAD_DIAGRAM_ACTION );
        add( jdbv.SAVE_DIAGRAM_ACTION );
        addSeparator();
        add( jdbv.PRINT_ACTION );
        addSeparator();
        add( jdbv.UNDO_ACTION );
        add( jdbv.REDO_ACTION );
        addSeparator();
	add( jdbv.ZOOM_IN_ACTION );
	add( jdbv.ZOOM_OUT_ACTION );
    }
}

