////////////////////////////////////////////////////////////////////////////
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////
package edu.uiuc.jdbv.imports;

import edu.uiuc.jdbv.schema.*;
import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JLabel;


/**
 * An importDefinition that just returns a hardcoded schema. For testing!
 *  
 * @author Brian Sidharta, Ross Paul
 * @version $Revision: 1.5 $
 */
public class TestImportDefinition extends ImportDefinition
{
    public static final String DESCRIPTION =
        "A Test Import Definition.";


    public String checkValidity(){
	return null;
    }

    public TestImportDefinition()
    {
        // Nothing to do
    }

    public Schema importSchema() throws ImportException
    {
        Schema schema = new Schema("Test Schema");
        Table table;
        Column column;

        table = new Table("indi");
        column = new Column("Dr.", "varChar2", false);
        table.addColumn(column);
        column = new Column("Henry", "varChar2", false);
        table.addColumn(column);
        column = new Column("Jones", "varChar2", false);
        table.addColumn(column);
        column = new Column("Junior", "varChar2", true);
        table.addColumn(column);
        schema.addTable(table);

        table = new Table("dep");
        column = new Column("Ferris", "varChar2", true);
        table.addColumn(column);
        column = new Column("Buler's", "varChar2", false);
        table.addColumn(column);
        column = new Column("Day", "varChar2", false);
        table.addColumn(column);
        column = new Column("Off", "varChar2", true);
        table.addColumn(column);
        schema.addTable(table);

        //I know this is horrible, I did it to test various aspects
        Connection.linkTables
            (schema.getTable("indi"),schema.getTable("dep"),
             new Column[]{schema.getTable("indi").getColumn("junior"),
                          schema.getTable("indi").getColumn("jones")},
             new Column[]{schema.getTable("dep").getColumn("ferris"),
                          schema.getTable("dep").getColumn("buler's")});


        System.out.println( "TestImportDefinition creating test schema:" );
        System.out.println(schema);
        
        return (schema);
    }

    public JPanel getGuiPanel()
    {
        JPanel returnPanel = new JPanel( new BorderLayout());
        returnPanel.add( new JLabel( "No options to set." ),
                         BorderLayout.NORTH );
        returnPanel.add( new JLabel( "Please press Next." ),
                         BorderLayout.SOUTH );
        return (returnPanel);
    }


    public String getDescription()
    {
        return (DESCRIPTION);
    }

}

